# onsetswitch
Use buttons connected to a Rasberry Pi GPIO to trigger Hog 4 comment macros.

This readme assumes that you have:
1. a working and updated Rasberry Pi,
1. with ssh access already set up,
1. and a static IP address on HogNet.

Beginner users will also want:
* Internet access on HogNet during setup.

## Installing

```
cd /home/pi
git clone https://git.company235.com/kevin/onsetswitch.git
cd onsetswitch
```

## Configuring

### Input
Connect one side of the button to ground, the other to a GPIO pin.

![](https://gpiozero.readthedocs.io/en/stable/_images/button_bb.svg)

Configure the buttons:
```
nano buttons.cfg
```

### Output

Configure the Hog4 OSC server:
```
nano server.cfg
```

## Enabling on Boot
Link the onsetswitch service file to systemd:
```
sudo ln -s buttons.service /lib/systemd/system/buttons.service
```

Enable the service at startup:
```
sudo systemctl daemon-reload
sudo systemctl enable buttons.service
```

Reboot the Rasberry Pi:
```
sudo reboot
```
